|
From: <rus...@us...> - 2008-02-08 12:25:58
|
Revision: 51
http://gearbox.svn.sourceforge.net/gearbox/?rev=51&view=rev
Author: russo2503v
Date: 2008-02-08 04:26:01 -0800 (Fri, 08 Feb 2008)
Log Message:
-----------
changes from yesterday
Modified Paths:
--------------
gearbox/trunk/doc/index.dox
gearbox/trunk/doc/update_and_rebuild_docco.sh
Modified: gearbox/trunk/doc/index.dox
===================================================================
--- gearbox/trunk/doc/index.dox 2008-02-08 08:32:05 UTC (rev 50)
+++ gearbox/trunk/doc/index.dox 2008-02-08 12:26:01 UTC (rev 51)
@@ -41,7 +41,7 @@
- Get set up: @ref gbx_doc_getting
- Browse through the <strong><a href="modules.html" style="text-decoration:none">currently available software</a></strong><br>
-Note: The documentation on this web page matches the latest release. A web page is also <a href="http://gearbox.sourceforge.net/head/gearbox">generated every 30 min</a> from the latest SVN version.
+Note: The documentation on this web page matches the latest release. A web page is also <a href="http://gearbox.sourceforge.net/head">generated every 30 min</a> from the latest SVN version.
@section gbx_doc_index_news News
Modified: gearbox/trunk/doc/update_and_rebuild_docco.sh
===================================================================
--- gearbox/trunk/doc/update_and_rebuild_docco.sh 2008-02-08 08:32:05 UTC (rev 50)
+++ gearbox/trunk/doc/update_and_rebuild_docco.sh 2008-02-08 12:26:01 UTC (rev 51)
@@ -5,6 +5,21 @@
#
# Usage: try_rebuild_docco [--force]
+force () {
+ echo "$*"
+ $*
+
+ status=$?
+
+ if [ $status -ne 0 ]; then
+ echo "Problem executing '$*'"
+ exit 1
+ else
+ echo "Executed '$*' OK"
+ fi
+}
+
+
forced=0
if [ $# -eq 1 ]
then
@@ -70,12 +85,9 @@
#
# Copy it to sourceforge
#
-rm -rf $MODULENAME
-mv html $MODULENAME
-tar -zcvf $TARBALL $MODULENAME
-echo "scp $TARBALL shell.sf.net:$HEADDIR/."
-scp $TARBALL shell.sf.net:$HEADDIR/.
-echo "ssh shell.sf.net 'cd $HEADDIR; tar -zxf $TARBALL'"
-ssh shell.sf.net "cd $HEADDIR; tar -zxf $TARBALL"
+force cd html
+force tar --exclude=$TARBALL -zcvf $TARBALL *
+force scp $TARBALL shell.sourceforge.net:$HEADDIR/.
+ssh shell.sourceforge.net "cd $HEADDIR; tar -zxvf $TARBALL"
echo "Finished $0 at: `date`"
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|